Subject: Re: [MEXT] Home Agent Switch Message (RFC 5142) and DSMIP

From: Julien Laganier <[email-masked]>
Date: Mon, 3 Nov 2008 14:00:49 +0100

Vijay,

> >>> Wouldn't a new DSMIP companion document just define a new
> >>> mobility option to use with HA Switch and how it should be used? 
> >>> I wouldn't think we'd revise 5142 to add DSMIP-specific content
> >>> to it.
> >>
> >> That will result in two documents for the same purpose. We should
> >> avoid that. I don't see any issue with 5142bis talking about the
> >> IPv4 home agent address.
> >
> > I see a possible issue with having both plain-MIPv6 and DSMIPv6
> > support in the same RFC, e.g. 5142bis.
> >
> > There will be MIPv6 only systems with HA switch functionality but
> > without DSMIP capability. Can such systems claim conformance to
> > 5142bis?
>
> We can add a mobility option for the carrying the HA IPv4 address,
> not modify the message itself. Existing implementations would become
> conformant to 5142bis when they get updated to support the new
> mobility option. This is normal, though.

But I don't see why a MIPv6 only systems would need to support the new 
(IPv4) option when it doesn't support DSMIPv6...

I think we should define the new option in a new document.

--julien
_______________________________________________
MEXT mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mext

---

From: Vijay Devarapalli <[email-masked]>
Date: Mon, 03 Nov 2008 09:57:28 -0800

> (IPv4) option when it doesn't support DSMIPv6...

5142bis would obviously say that this new mobility option, that carries 
the IPv4 address of the home agent, MUST be implemented if the home 
agent supports DS-MIPv6. So if you are planning on a MIPv6 HA 
implementation without DS-MIPv6 extensions, you can skip implementing 
the new mobility option in 5142bis.

> I think we should define the new option in a new document.

I disagree.

Vijay

---

From: Julien Laganier <[email-masked]>
Date: Mon, 3 Nov 2008 19:04:00 +0100

On Monday 03 November 2008, Vijay Devarapalli wrote:
> >>>>> mobility option to use with HA Switch and how it should be
> >>>>> used? I wouldn't think we'd revise 5142 to add DSMIP-specific
> >>>>> content to it.
> >>>>
> >>>> That will result in two documents for the same purpose. We
> >>>> should avoid that. I don't see any issue with 5142bis talking
> >>>> about the IPv4 home agent address.
> >>>
> >> not modify the message itself. Existing implementations would
> >> become conformant to 5142bis when they get updated to support the
> >> new mobility option. This is normal, though.
> >
> > But I don't see why a MIPv6 only systems would need to support the
> > new (IPv4) option when it doesn't support DSMIPv6...
>
> 5142bis would obviously say that this new mobility option, that
> carries the IPv4 address of the home agent, MUST be implemented if
> the home agent supports DS-MIPv6. So if you are planning on a MIPv6
> HA implementation without DS-MIPv6 extensions, you can skip
> implementing the new mobility option in 5142bis.

That wasn't obvious to me. The approach is fine w/ me.

--julien